Bug 1304347 - Hosted-Engine: memory hotplug does not work for engine vm
Hosted-Engine: memory hotplug does not work for engine vm
Status: NEW
Product: ovirt-engine
Classification: oVirt
Component: BLL.HostedEngine (Show other bugs)
3.6.2.6
x86_64 Linux
medium Severity high (vote)
: ovirt-4.3.0
: ---
Assigned To: Martin Sivák
Artyom
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-03 06:47 EST by Artyom
Modified: 2018-03-04 21:47 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: SLA
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dfediuck: ovirt‑4.3?
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)
engine and vdsm logs (3.15 MB, application/zip)
2016-02-03 06:47 EST, Artyom
no flags Details

  None (edit)
Description Artyom 2016-02-03 06:47:12 EST
Created attachment 1120721 [details]
engine and vdsm logs

Description of problem:
Memory hotplug does not work for engine vm
Message: Failed to hot set memory to VM HostedEngine. Underlying error message: unsupported configuration: maxMemory has to be specified when using memory devices

Version-Release number of selected component (if applicable):
rhevm-3.6.2.6-0.1.el6.noarch

How reproducible:
Always

Steps to Reproduce:
1. Deploy hosted-engine
2. Enter to the engine and attach storage domain(to start auto-import process)
3. Update HE vm memory in hotplug mode

Actual results:
Hotplug memory failed on HE vm with error

Expected results:
Hotplug memory works for HE vm

Additional info:
if I remember correct, we support hotplug memory only for el7 guest, so we need to block hotplug memory for HE vm
Comment 1 Red Hat Bugzilla Rules Engine 2016-02-17 06:40:32 EST
Bug tickets must have version flags set prior to targeting them to a release. Please ask maintainer to set the correct version flags and only then set the target milestone.
Comment 2 Sandro Bonazzola 2016-05-02 05:52:03 EDT
Moving from 4.0 alpha to 4.0 beta since 4.0 alpha has been already released and bug is not ON_QA.
Comment 3 Yaniv Lavi 2016-05-23 09:15:07 EDT
oVirt 4.0 beta has been released, moving to RC milestone.
Comment 4 Yaniv Lavi 2016-05-23 09:19:47 EDT
oVirt 4.0 beta has been released, moving to RC milestone.
Comment 5 Yaniv Kaul 2016-05-29 09:25:44 EDT
Sounds like a RFE to me - in 4.0, HE is EL7 - so it can support hotplug. 
Can you test what the status is in 4.0?
Comment 6 Artyom 2016-06-05 09:37:55 EDT
I believe we added some restriction to our code to make it work for 3.6, so it just prevent memory hotplug.
I checked it under rhevm-4.0.0.2-0.1.el7ev.noarch, and I still can see error message:
VDSM hosted_engine_1 command failed: unsupported configuration: maxMemory has to be specified when using memory devices.
And HE VM memory has old value.
Comment 7 Marina 2017-12-10 23:27:36 EST
See this bug also: bz#1523835.
I believe we should combine them in one single d/s RFE and attach all customer cases to it.
Comment 8 Doron Fediuck 2017-12-20 06:24:39 EST
*** Bug 1523835 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.